<?php

// The following two functions insert the canonical URL from the original post
// in the <head> to improve SEO.
function newswire_rel_canonical() {
	echo '<link rel="canonical" href="' . get_post_meta(get_the_ID(), 'newswire_source_url', true) . '" />';
}

function newswire_add_canonical_url_in_head() {
	$source = get_post_meta(get_the_ID(), 'source', true);
	if($source == 'ncstate_wire' || $source == 'ncstate_wire_canonical') {
	    remove_action( 'wp_head', 'rel_canonical' );
	    add_action( 'wp_head', 'newswire_rel_canonical' );
	}
}
add_action('wp_head', 'newswire_add_canonical_url_in_head', 1);